/*
	File:		LowerToUpperCase.r 

	Contains:	Resources for LowerToUpperCase translator
	
	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
	
	Modified 9/11/95, R.Silva
	
	Changed from LowerToUpperCaseScrap to LowerToUpperCase
	Included file translation 
	
*/

#include "Types.r"
#include "MixedMode.r"
#include "TranslationExtensions.h"

//___________________________________________________________________________________________________________
//
// Happy constants
//
#define kSignature 				'M&Ms'
#define kComponentFileType		'thng'
#define componentLocalID		0
#define componentResID			130
#define genericExtensionIcon	-16415

//___________________________________________________________________________________________________________
//
// The 'xlat' resource is a fat safe resource containing both 68K and PowerPC code.
//
#define uppComponentRoutineProcInfo	0x03F0

type 'xlat' as 'sdes';

resource 'xlat' (128) {
	uppComponentRoutineProcInfo,									// 68K ProcInfo
	uppComponentRoutineProcInfo,									// PowerPC ProcInfo
	$$Resource(":Objects:LowerToUpperCase.68K", 'xlat', 128),	// Specify name, type, and ID of resource
																	//   containing 68k code
	$$Resource(":Objects:LowerToUpperCase.pef", 'xlat', 128)	// Specify name, type, and ID of resource
																	//   containing a pef container
};

//___________________________________________________________________________________________________________
//
// Tell the Component Manager about this component
//
resource 'thng' (128, locked) {
	'xlat',
	0,
	kSignature,
	kSupportsScrapTranslation + kSupportsFileTranslation + kTranslatorCanGenerateFilename,	
	0,
	'xlat',128,
	'STR ',128,
	'STR ',129,
	'ICON',128
};

resource 'STR ' (128, purgeable) {
	"LowerToUpperCase"
};

resource 'STR ' (129, purgeable) {
	"Lower To Upper Case Translators"
};

resource 'ICON' (128, purgeable) {
	$"7FE0 07FE 8040 0201 8080 0101 807F FE01"
	$"8000 0001 8000 0001 8000 3FF9 8000 1009"
	$"8000 0809 8002 1009 8005 A009 8008 4409"
	$"8010 2209 8020 1109 8044 0829 8882 0459"
	$"8F19 9989 8844 2201 8820 4401 8811 8801"
	$"8802 5001 8804 2001 8808 0001 8804 0001"
	$"8FFE 0001 8000 0001 8000 0001 8000 0001"
	$"7FF0 0FFE 0020 0400 0040 0200 003F FC",
};

data 'PICT' (128) {
	$"0084 FFFF FFFF 004A 0092 0011 02FF 0C00"            /* ..J...... */
	$"FFFF FFFF FFFF 0000 FFFF 0000 0092 0000"            /* ....... */
	$"004A 0000 0000 0000 00A1 0096 000A 0100"            /* .J............ */
	$"0000 0200 0000 0000 0001 000A 0000 0000"            /* ................ */
	$"0048 0090 0007 0000 0000 0008 000A 0023"            /* .H............# */
	$"0000 002C 000C 0015 0948 656C 7665 7469"            /* ...,....Helveti */
	$"6361 0003 0015 0004 0100 000D 0048 002E"            /* ca..........H.. */
	$"0004 0000 0000 002A 3703 5570 7000 00A0"            /* .......*7.Upp.. */
	$"0097 00FF"                                          /* .. */
};


//___________________________________________________________________________________________________________
//
// Finder information
//
resource 'BNDL' (128) {
	kSignature,
	0,
	{
		'FREF',
		{
			componentLocalID, componentResID
		},
		'ICN#',
		{
			componentLocalID, genericExtensionIcon
		}
	}
};


data kSignature (0) {
	$"00"                 
};

resource 'FREF' (componentResID, purgeable) {
	kComponentFileType,
	componentLocalID,
	""
};
